Bug 1728504 - Update documentation to reflect pro-active kpatching
Summary: Update documentation to reflect pro-active kpatching
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: Documentation
Version: 7.7
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Jaroslav Klech
QA Contact: Yulia Kopkova
Jaroslav Klech
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-10 05:51 UTC by Jaroslav Klech
Modified: 2019-11-05 14:53 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
.Live patching for the kernel is now available Live patching for the kernel, `kpatch`, provides a mechanism to patch a running kernel without rebooting or restarting any processes. Live kernel patches will be provided for selected minor release streams of RHEL covered under the link:https://access.redhat.com/support/policy/updates/errata#Extended_Update_Support[Extended Update Support (EUS)] policy to remediate Critical and Important CVEs. To subscribe to the `kpatch` stream for the RHEL 7.7 version of kernel, install the `kpatch-patch-3_10_0-1062` package provided by the link:https://access.redhat.com/errata/RHEA-2019:2011[RHEA-2019:2011] advisory. For more information, see link:https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html-single/kernel_administration_guide/index#applying_patches_with_kernel_live_patching[Applying patches with kernel live patching] in the Kernel Administration Guide. // Preview: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html-single/kernel_administration_guide/index?lb_target=preview#applying_patches_with_kernel_live_patching
Clone Of:
Environment:
Last Closed: 2019-11-05 14:53:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jaroslav Klech 2019-07-10 05:51:15 UTC
Document URL: 

https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/kernel_administration_guide/chap-documentation-kernel_administration_guide-working_with_kpatch?lb_target=preview

Section Number and Name: 

CHAPTER 6. WORKING WITH KPATCH


Describe the issue: 

Update the chapter 6 to reflect the pro-active kpatching

Suggestions for improvement: 

Additional information:

Comment 25 Josh Poimboeuf 2019-09-04 13:25:31 UTC
Looks good to me.


Note You need to log in before you can comment on or make changes to this bug.